function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_kitchen")
    
    std.create_half_tube(3, "y_pos", "e")
    std.create_center(5,"e")
    
    local msg_str = "A ^x00ff00Soft User Error^! "
        .. "is generally more difficult to fix than a hard one. "
        .. "When the program encounters a soft user error, "
        .. "the program will exit if and only if "
        .. "the environment variable ^x00ff00engine.exit_on_error^! "
        .. "is set to true.\n\n"
        .. "An example of a soft user error is one "
        .. "that occurs while executing the "
        .. "main function of a block script. "
        .. "If engine.exit_on_error is set to false "
        .. "and an error is detected in such a main function, "
        .. "then the chunk will not be "
        .. "created normally and instead a "
        .. "\"dummy chunk\" will be placed there. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
